Bug 1737170 - [abrt] inotify_update_watch: WARNING: CPU: 0 PID: 1836 at fs/notify/inotify/inotify_user.c:441 inotify_remove_from_idr+0x155/0x160 [NEEDINFO]
Summary: [abrt] inotify_update_watch: WARNING: CPU: 0 PID: 1836 at fs/notify/inotify/i...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e33d7e449035946a1d1f5948455...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-03 08:27 UTC by Tony C
Modified: 2019-09-17 20:10 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-17 20:10:03 UTC
Type: ---
jforbes: needinfo? (usaywot)


Attachments (Terms of Use)
File: dmesg (68.70 KB, text/plain)
2019-08-03 08:27 UTC, Tony C
no flags Details

Description Tony C 2019-08-03 08:27:19 UTC
Description of problem:
I pressed the power button for the computer

Additional info:
reporter:       libreport-2.10.1
WARNING: CPU: 0 PID: 1836 at fs/notify/inotify/inotify_user.c:441 inotify_remove_from_idr+0x155/0x160
Modules linked in: uinput fuse xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables sunrpc snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi ledtrig_audio snd_hda_intel joydev snd_hda_codec snd_hda_core intel_powerclamp snd_hwdep snd_seq snd_seq_device snd_pcm coretemp kvm_intel snd_timer kvm snd soundcore iTCO_wdt iTCO_vendor_support irqbypass gpio_ich intel_cstate intel_uncore lpc_ich pcc_cpufreq i7core_edac i2c_i801 acpi_cpufreq nouveau video mxm_wmi wmi crc32c_intel i2c_algo_bit drm_kms_helper ttm drm e1000e firewire_ohci firewire_core ata_generic pata_acpi
 crc_itu_t
CPU: 0 PID: 1836 Comm: gmain Not tainted 5.1.17-300.fc30.x86_64 #1
Hardware name:  /DP55WB, BIOS WBIBX10J.86A.0336.2012.0626.0141 06/26/2012
RIP: 0010:inotify_remove_from_idr+0x155/0x160
Code: ff ff ff 41 8b 4c 24 48 4d 8b 44 24 08 4c 89 e2 48 c7 c6 e0 a1 e2 a9 48 c7 c7 78 a1 0e aa c6 05 33 88 00 01 01 e8 ea 62 da ff <0f> 0b e9 43 ff ff ff 0f 1f 40 00 66 66 66 66 90 41 55 41 54 55 53
RSP: 0018:ffffb12f03787e90 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff981296a51d00 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9812d7a168c0
RBP: 000000000000e547 R08: 0000000000000001 R09: 000000000000031a
R10: ffffffffaa9cfba4 R11: 0000000000000003 R12: ffff98123a1dddc0
R13: ffff981296a51d48 R14: ffff98123d1693f8 R15: ffff981296a51d98
FS:  00007f95c785b700(0000) GS:ffff9812d7a00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000022007a7cc000 CR3: 00000001e0374000 CR4: 00000000000006f0
Call Trace:
 inotify_update_watch+0x1f3/0x210
 ? security_inode_permission+0x3a/0x50
 __x64_sys_inotify_add_watch+0xdd/0x130
 do_syscall_64+0x5b/0x170
 entry_SYSCALL_64_after_hwframe+0x44/0xa9
RIP: 0033:0x7f95d8095d8b
Code: f0 ff ff 73 01 c3 48 8b 0d fa 40 0c 00 f7 d8 64 89 01 48 83 c8 ff c3 0f 1f 84 00 00 00 00 00 f3 0f 1e fa b8 fe 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d cd 40 0c 00 f7 d8 64 89 01 48
RSP: 002b:00007f95c785a9a8 EFLAGS: 00000202 ORIG_RAX: 00000000000000fe
RAX: ffffffffffffffda RBX: 00007f95c785a9d4 RCX: 00007f95d8095d8b
RDX: 0000000001002fce RSI: 00007f95b412c7a0 RDI: 000000000000000d
RBP: 0000558b29c8dca0 R08: 00007f95b412c7a0 R09: 00007ffcba5f60b0
R10: 00007ffcba5f6080 R11: 0000000000000202 R12: 0000000000000000
R13: 0000000000000000 R14: 0000558b2a5701c0 R15: 0000558b2a570f90

Comment 1 Tony C 2019-08-03 08:27:25 UTC
Created attachment 1600158 [details]
File: dmesg

Comment 2 Justin M. Forbes 2019-08-20 17:37:12 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.2.9-200.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2019-09-17 20:10:03 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.